Get an account
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"createdAt": "2019-01-02T12:34:56.000Z",
"parentId": "<string>",
"type": "SEGREGATED",
"updatedAt": "2019-01-02T12:34:56.000Z",
"status": "OPENING",
"complianceProfileId": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"name": "<string>",
"externalId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get an account
Permissions required: Read Accounts
Get the details of a single account.
GET
/
accounts
/
{accountId}
Get an account
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"createdAt": "2019-01-02T12:34:56.000Z",
"parentId": "<string>",
"type": "SEGREGATED",
"updatedAt": "2019-01-02T12:34:56.000Z",
"status": "OPENING",
"complianceProfileId": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"name": "<string>",
"externalId": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Path Parameters
Was this page helpful?